Pages
Pages
curl -X GET "https://example.com/api/v1/admin/pages"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/admin/pages/batch" \ -H "Content-Type: application/json" \ -d '{ "action": "string", "ids": [ "string" ] }'Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/api/v1/admin/pages/reorder" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "id": "string", "sort_order": 0 } ] }'Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Page ID
Response Body
curl -X GET "https://example.com/api/v1/admin/pages/string"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Page ID
Response Body
curl -X DELETE "https://example.com/api/v1/admin/pages/string"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Page ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/api/v1/admin/pages/string" \ -H "Content-Type: application/json" \ -d '{}'Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Page ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/api/v1/admin/pages/string/status" \ -H "Content-Type: application/json" \ -d '{ "status": "Draft" }'Empty
curl -X GET "https://example.com/api/v1/pages"Empty
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/pages" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'Empty
curl -X GET "https://example.com/api/v1/pages/sitemap"Empty
curl -X GET "https://example.com/api/v1/pages/string"Empty
